# Generated by Django 3.2.7 on 2021-09-04 15:34

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Course',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=30, verbose_name='Название курса')),
            ],
        ),
        migrations.CreateModel(
            name='Student',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('first_name', models.CharField(max_length=30, verbose_name='Имя студента')),
                ('second_name', models.CharField(max_length=30, verbose_name='Фамилия студента')),
                ('last_name', models.CharField(max_length=30, verbose_name='Отчество студента')),
                ('rating', models.DecimalField(decimal_places=1, max_digits=5, verbose_name='Рейтинг студента')),
                ('courses', models.ManyToManyField(to='mainapp.Course')),
            ],
        ),
    ]
